﻿using FarPoint.Win.Spread;
using System;
using System.Linq;
using System.Windows.Forms;

namespace TestSpreadVisible
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }




        private void BtnInit_Click(object sender, EventArgs e)
        {
            // clear grid
            //fpSpread1_Sheet1.ClearRange(0, 0, fpSpread1_Sheet1.Rows.Count, fpSpread1_Sheet1.Columns.Count, false);
            fpSpread1_Sheet1.Rows.Count = 5;


            // hide tabstrip
            fpSpread1.TabStripPolicy = TabStripPolicy.Never;


            // scrollbar
            fpSpread1.HorizontalScrollBarPolicy = ScrollBarPolicy.AsNeeded;
            fpSpread1.VerticalScrollBarPolicy = ScrollBarPolicy.AsNeeded;


            // add 5 columns
            fpSpread1.ActiveSheet.Columns.Count = 5;

            fpSpread1_Sheet1.ColumnHeader.Columns[0].Label = "Col0";
            fpSpread1_Sheet1.Columns[0].Width = 50;
            fpSpread1_Sheet1.Columns[0].HorizontalAlignment = CellHorizontalAlignment.Center;

            fpSpread1_Sheet1.ColumnHeader.Columns[1].Label = "Col1";
            fpSpread1_Sheet1.Columns[1].Width = 80;
            fpSpread1_Sheet1.Columns[1].HorizontalAlignment = CellHorizontalAlignment.Center;

            fpSpread1_Sheet1.ColumnHeader.Columns[2].Label = "Col2";
            fpSpread1_Sheet1.Columns[2].Width = 110;
            fpSpread1_Sheet1.Columns[2].HorizontalAlignment = CellHorizontalAlignment.Center;

            fpSpread1_Sheet1.ColumnHeader.Columns[3].Label = "Col3";
            fpSpread1_Sheet1.Columns[3].Width = 140;
            fpSpread1_Sheet1.Columns[3].HorizontalAlignment = CellHorizontalAlignment.Center;

            fpSpread1_Sheet1.ColumnHeader.Columns[4].Label = "Col4";
            fpSpread1_Sheet1.Columns[4].Width = 170;
            fpSpread1_Sheet1.Columns[4].HorizontalAlignment = CellHorizontalAlignment.Center;

         

        }





        // Hide colmun[2]
        private void BtnHideColumn_Click(object sender, EventArgs e)
        {
            fpSpread1_Sheet1.Columns[2].Visible = false;
        }






        // Resize column
        private void BtnResize_Click(object sender, EventArgs e)
        {
            fpSpread1_Sheet1.Columns[2].Visible = true;
            fpSpread1_Sheet1.Columns[2].Width = 200;

            // idem if resize all colums fpSpread1_Sheet1.Columns[0, fpSpread1_Sheet1.Columns.Count - 1].Width = 50;
        }
    }
}
